 
<div style="margin: 0 300px 0 300px;">
  <div class="panel panel-info">
    <div class="panel-heading">
      <h3>Edit <%= resource_name.to_s.humanize %></h3>
    </div>
    <div class="panel-body">
      <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
        <%= devise_error_messages! %>


        <div class="form-group">
          <%= f.label :email %><br />
          <%= f.email_field :email, class: 'form-control', autofocus: true %>
        </div>
        <div class="form-group">
          <%= f.label :names %><br />
          <%= f.text_field :email, class: 'form-control', autofocus: true %>
        </div>
        <div class="form-group">
          <%= f.label :surname %><br />
          <%= f.text_field :surname, class: 'form-control', autofocus: true %>
        </div>
        <div class="form-group">
          <%= f.label :birthdate %><br />
          <%= f.date_field :birthdate, class: 'form-control', autofocus: true %>
        </div>
        <div class="form-group">
          <%= f.label :phone %><br />
          <%= f.text_field :phone, class: 'form-control', autofocus: true %>
        </div>

        <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
          <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
        <% end %>

        <div class="form-group">
          <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
          <%= f.password_field :password, class: 'form-control', autocomplete: "off" %>
        </div>

        <div class="form-group">
          <%= f.label :password_confirmation %><br />
          <%= f.password_field :password_confirmation, class: 'form-control', autocomplete: "off" %>
        </div>

        <div class="form-group">
          <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
          <%= f.password_field :current_password, class: 'form-control', autocomplete: "off" %>
        </div>
        <div class="actions">
          <%= f.submit "Update", class: 'btn btn-success btn-block'%>
        </div>
      <% end %>
       <br />
      <%= render "devise/shared/links" %>
      <br />
      <h3>Cancel my account</h3>

      <p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete, class: 'btn btn-danger btn-xs' %></p>

      <%= link_to "Back", :back , class: 'btn btn-warrning btn-xs' %>


    </div>
  </div>

</div>
